### A free/open-source library for quantitative finance

Public Types | Public Member Functions
China Class Reference
Calendars

Chinese calendar. More...

`#include <ql/time/calendars/china.hpp>`

Inheritance diagram for China:
[legend]

List of all members.

## Public Types

enum | Market { SSE }

## Public Member Functions

| China (Market m=SSE)

## Detailed Description

Chinese calendar.

Holidays:

- Saturdays
- Sundays
- New Year's day, January 1st (possibly followed by one or two more holidays)
- Labour Day, first week in May
- National Day, one week from October 1st

Other holidays for which no rule is given (data available for 2004-2011 only):

- Chinese New Year
- Ching Ming Festival
- Tuen Ng Festival
- Mid-Autumn Festival

Data from <http://www.sse.com.cn/sseportal/en/home/home.shtml>

## Member Enumeration Documentation

enum Market

Enumerator:

  SSE | Shanghai stock exchange.